Package org.apache.maven.scm.log

## Interface ScmLogger

All Known Implementing Classes:
  `DefaultLog`, `PlexusLogger`, `ScmLogDispatcher`

    public interface ScmLogger

Author:
  Emmanuel Venisse

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug​(java.lang.String content)`
`void` `debug​(java.lang.String content, java.lang.Throwable error)`
`void` `debug​(java.lang.Throwable error)`
`void` `error​(java.lang.String content)`
`void` `error​(java.lang.String content, java.lang.Throwable error)`
`void` `error​(java.lang.Throwable error)`
`void` `info​(java.lang.String content)`
`void` `info​(java.lang.String content, java.lang.Throwable error)`
`void` `info​(java.lang.Throwable error)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn​(java.lang.String content)`
`void` `warn​(java.lang.String content, java.lang.Throwable error)`
`void` `warn​(java.lang.Throwable error)`

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

#### debug

    void debug​(java.lang.String content)

#### debug

    void debug​(java.lang.String content,
               java.lang.Throwable error)

#### debug

    void debug​(java.lang.Throwable error)

#### isInfoEnabled

    boolean isInfoEnabled()

#### info

    void info​(java.lang.String content)

#### info

    void info​(java.lang.String content,
              java.lang.Throwable error)

#### info

    void info​(java.lang.Throwable error)

#### isWarnEnabled

    boolean isWarnEnabled()

#### warn

    void warn​(java.lang.String content)

#### warn

    void warn​(java.lang.String content,
              java.lang.Throwable error)

#### warn

    void warn​(java.lang.Throwable error)

#### isErrorEnabled

    boolean isErrorEnabled()

#### error

    void error​(java.lang.String content)

#### error

    void error​(java.lang.String content,
               java.lang.Throwable error)

#### error

    void error​(java.lang.Throwable error)